## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsCanvas Struct Reference
[AWS, AWS]

Provider for AWS 2D / 3D Driver. More...

`#include <iaws/awscnvs.h>`

Inheritance diagram for iAwsCanvas:

[legend]
List of all members.

## Public Member Functions

virtual void | Animate (csTicks current_time)=0
| This is actually not used ever.
virtual iGraphics2D * | G2D ()=0
| Get the iGraphics2D interface so that components can use it.
virtual iGraphics3D * | G3D ()=0
| Get the iGraphics3D interface so that components can use it.

## Detailed Description

Provider for AWS 2D / 3D Driver.

Definition at line 33 of file awscnvs.h.

## Member Function Documentation

virtual void iAwsCanvas::Animate | ( | csTicks | current_time | ) | `[pure virtual]`

| This is actually not used ever. The window manager doesn't "animate", and only refreshes the canvas when needed.

virtual iGraphics2D* iAwsCanvas::G2D | ( |  | ) | `[pure virtual]`

| Get the iGraphics2D interface so that components can use it.

virtual iGraphics3D* iAwsCanvas::G3D | ( |  | ) | `[pure virtual]`

| Get the iGraphics3D interface so that components can use it.

The documentation for this struct was generated from the following file:

- iaws/awscnvs.h